GNUMP3d Server Traversal Arbitrary File Access

2005-10-28T11:02:35
ID OSVDB:20360
Type osvdb
Reporter Steve Kemp()
Modified 2005-10-28T11:02:35

Description

Vulnerability Description

GNUMP3d contains a flaw that allows a remote attacker to access arbitrary files outside of the web path. The issue is due to the program not properly sanitizing user input, specifically traversal style attacks (../../).

Solution Description

Upgrade to version 2.9.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

GNUMP3d contains a flaw that allows a remote attacker to access arbitrary files outside of the web path. The issue is due to the program not properly sanitizing user input, specifically traversal style attacks (../../).

Manual Testing Notes

http://[target]/.//../////././/../////./[file]

References:

Vendor URL: http://www.gnu.org/software/gnump3d/ Security Tracker: 1015118 Secunia Advisory ID:17351 Secunia Advisory ID:17355 Secunia Advisory ID:17831 Related OSVDB ID: 20359 Related OSVDB ID: 20723 Other Advisory URL: http://www.debian.org/security/2005/dsa-877 Other Advisory URL: http://lists.suse.com/archive/suse-security-announce/2005-Dec/0001.html Keyword: DSA-877-1 CVE-2005-3123 Bugtraq ID: 15228